#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	clutter
Version		:	1.26.4
Release		:	14.4.0.0%{?dist}
Summary		:	Library to create fast, visually rich and animated graphical user interfaces.
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLV2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/clutter

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	atk
BuildRequires	:	cairo-gobject-devel
BuildRequires	:	cogl
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk3+
BuildRequires	:	gtk-doc
BuildRequires	:	json-glib
BuildRequires	:	kwayland
BuildRequires	:	valgrind
#-----------------------------------------------------------------------------
%description
%{name} is an open source software library for creating fast, compelling,
portable, and dynamic graphical user interfaces.

#-----------------------------------------------------------------------------
%files			-f %{name}-1.0.lang
%defattr(-,root,root,-)
%doc README.md NEWS ChangeLog
%license COPYING
%{_libdir}/lib%{name}*-1.0.so.0*
%{_libdir}/girepository-1.0/*.typelib

#=============================================================================
%package		devel

Summary		:	Clutter development environment

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Header files and libraries for building a extension library
for the '%{name}'

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-1.0/*
%{_libdir}/lib%{name}*-1.0.so
%{_libdir}/pkgconfig/%{name}*.pc
%{_libdir}/pkgconfig/cally-1.0.pc
%{_datadir}/%{name}-1.0/valgrind/%{name}.supp
%{_datadir}/gir-1.0/*.gir

#=============================================================================
%package		doc

Summary		:	Documentation for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		doc
Clutter is an open source software library for
creating fast, visually rich graphical user interfaces.
The most obvious example of potential usage is
in media center type applications.
We hope however it can be used for a lot more.
 
This package contains documentation for clutter.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/%{name}/*.{html,png}
%{_datadir}/gtk-doc/html/%{name}/style.css

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
	$XORG_CONFIG					\
	--exec-prefix=%{_exec_prefix}			\
	--includedir=%{_includedir}			\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-evdev-input				\
	--enable-egl-backend				\
	--enable-gdk-backend				\
	--enable-wayland-backend			\
	--enable-wayland-compositor			\
	--enable-x11-backend				\
	--enable-gtk-doc				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %{name}-1.0

#-----------------------------------------------------------------------------
%changelog

